import path_setting
from in_common.base_request import BaseRequest


class feed_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.FEED_INDEXV9_CONFIG)

    def index_v9(self,tabtype,version,current_city_id):
        self.params["tabtype"] = tabtype
        self.params["version"] = version
        self.params["current_city_id"] = current_city_id

        return self.api_send(self.data["index_v9"])


if __name__ == '__main__':
    print(feed_request().index_v9("choice", "7.42.2",  "beijing"))